package com.ibm.emb.test.mfb;

// java stuff
import javax.emb.MediaConverterSpec;
import javax.emb.MediaException;

import mfb.converters.BmpToJpegConverterSpec;

import com.ibm.emb.junit.EMBTestRunner;
import com.ibm.emb.test.MediaConverterSpecTest;

public class BmpToJpegConverterSpecTest extends MediaConverterSpecTest {

    /**
     * constructor
     */
    public BmpToJpegConverterSpecTest(String name) throws MediaException {
        super(name);
    }

    /**
     * main method
     */
    public static void main(String args[]) {
        EMBTestRunner.run(BmpToJpegConverterSpecTest.class);
    }

    /**
     * do initialisation here
     */
    protected void setUp() {
    }

    /**
     * freeup resources
     */
    protected void tearDown() {
    }

    /**
     * creates an instance of BmpToJpegConverterSpec with the given Parameters
     * used in super class of BmpToJpegConverterSpectest
     */
    public MediaConverterSpec createMediaConverterSpec() {

        return new BmpToJpegConverterSpec();
    }
}